[问题]我的ubuntu7.04 deb 的问题

为当前最终发行版之前的所有版本提供支持
回复
inkoo
帖子: 16
注册时间: 2007-08-18 15:39
送出感谢: 0
接收感谢: 0

[问题]我的ubuntu7.04 deb 的问题

#1

帖子 inkoo » 2007-08-18 20:42

我从其他地方下来的deb包 (比如最新的skype) 双击安装 就会探出安装窗 的状态后边有显示红色的“wrong architecture ' i386'”

这该怎样解决?
PhoenixJ
帖子: 1488
注册时间: 2007-08-09 3:33
系统: Windows 12.04
送出感谢: 2 次
接收感谢: 1 次

#2

帖子 PhoenixJ » 2007-08-18 22:10

包的全名是什么?
你的CPU又是什么?

这个提示基本上代表着你的包不适合你的当前架构的CPU。
头像
wjs272
帖子: 775
注册时间: 2007-04-17 13:32
来自: 上海理工大学
送出感谢: 1 次
接收感谢: 0
联系:

#3

帖子 wjs272 » 2007-08-18 22:11

试试源码编译安装
上次由 wjs272 在 2007-08-18 22:12,总共编辑 1 次。
头像
aerowolf
帖子: 1729
注册时间: 2006-02-25 17:09
来自: 西安
送出感谢: 33 次
接收感谢: 3 次

#4

帖子 aerowolf » 2007-08-18 22:12

是不是下载成了64位的deb?
头像
wjs272
帖子: 775
注册时间: 2007-04-17 13:32
来自: 上海理工大学
送出感谢: 1 次
接收感谢: 0
联系:

#5

帖子 wjs272 » 2007-08-18 22:13

这个提示基本上代表着你的包不适合你的当前架构的CPU
头像
adqin
帖子: 1417
注册时间: 2007-01-24 22:07
来自: http://adqin.cn
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 adqin » 2007-08-19 0:29

看提示就是32位包或64位包的问题。
这要看你的机器了。
32位的下i386的包,64位的就下AMD64位的包。
inkoo
帖子: 16
注册时间: 2007-08-18 15:39
送出感谢: 0
接收感谢: 0

#7

帖子 inkoo » 2007-08-19 20:32

我的处理器是amd turion64 tl52 双核支持64位但是 我装的utunbu是32位的
我又试了一下 好像 什么deb包都 不能安装 但是从源里边下来的软件都能用

为什么阿 是不是要重装系统?
wuleeemail
帖子: 54
注册时间: 2007-08-15 8:45
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 wuleeemail » 2007-08-19 21:13

肯定要用64位的那个操作系统来安装。
inkoo
帖子: 16
注册时间: 2007-08-18 15:39
送出感谢: 0
接收感谢: 0

#9

帖子 inkoo » 2007-08-19 22:23

我的系统 应该是32的
怎么看那个我现在的ubuntu版本是 64 还是 32?
我找了一个 64的不知道是什么的包 果然打开了,但是我的处理器也支持32位,如果我装的是64 那么就打不开32的包了吗?
elpmd 64

谢谢你们的回复!!
inkoo
帖子: 16
注册时间: 2007-08-18 15:39
送出感谢: 0
接收感谢: 0

#10

帖子 inkoo » 2007-08-22 15:19

问题解决了 我装的是amd64 ...........
回复

回到 “老旧版本支持”